diff --git a/snf-pithos-app/pithos/api/functions.py b/snf-pithos-app/pithos/api/functions.py
index 5475a27..c27ad1c 100644
--- a/snf-pithos-app/pithos/api/functions.py
+++ b/snf-pithos-app/pithos/api/functions.py
@@ -650,38 +701,40 @@ def object_read(request, v_account, v_container, v_object):
     #                       forbidden (403),
     #                       badRequest (400),
     #                       notModified (304)
-    
+
     version = request.GET.get('version')
-    
+
     # Reply with the version list. Do this first, as the object may be deleted.
     if version == 'list':
         if request.serialization == 'text':
             raise BadRequest('No format specified for version list.')
-        
+
         try:
             v = request.backend.list_versions(request.user_uniq, v_account,
-                                                v_container, v_object)
+                                              v_container, v_object)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         d = {'versions': v}
         if request.serialization == 'xml':
             d['object'] = v_object
             data = render_to_string('versions.xml', d)
-        elif request.serialization  == 'json':
+        elif request.serialization == 'json':
             data = json.dumps(d, default=json_encode_decimal)
-        
+
         response = HttpResponse(data, status=200)
         response['Content-Length'] = len(data)
         return response
-    
+
     try:
         meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                                v_container, v_object, 'pithos', version)
+                                               v_container, v_object, 'pithos', version)
         if version is None:
-            permissions = request.backend.get_object_permissions(request.user_uniq,
-                                            v_account, v_container, v_object)
-            public = request.backend.get_object_public(request.user_uniq, v_account,
-                                                        v_container, v_object)
+            permissions = request.backend.get_object_permissions(
+                request.user_uniq,
+                v_account, v_container, v_object)
+            public = request.backend.get_object_public(
+                request.user_uniq, v_account,
+                v_container, v_object)
         else:
             permissions = None
             public = None
@@ -691,11 +744,12 @@ def object_read(request, v_account, v_container, v_object):
         raise ItemNotFound('Object does not exist')
     except VersionNotExists:
         raise ItemNotFound('Version does not exist')
-    
+
     update_manifest_meta(request, v_account, meta)
-    update_sharing_meta(request, permissions, v_account, v_container, v_object, meta)
+    update_sharing_meta(
+        request, permissions, v_account, v_container, v_object, meta)
     update_public_meta(public, meta)
-    
+
     # Evaluate conditions.
     validate_modification_preconditions(request, meta)
     try:
@@ -704,29 +758,31 @@ def object_read(request, v_account, v_container, v_object):
         response = HttpResponse(status=304)
         response['ETag'] = meta['checksum']
         return response
-    
+
     hashmap_reply = False
     if 'hashmap' in request.GET and request.serialization != 'text':
         hashmap_reply = True
-    
+
     sizes = []
     hashmaps = []
     if 'X-Object-Manifest' in meta and not hashmap_reply:
         try:
-            src_container, src_name = split_container_object_string('/' + meta['X-Object-Manifest'])
-            objects = request.backend.list_objects(request.user_uniq, v_account,
-                                src_container, prefix=src_name, virtual=False)
+            src_container, src_name = split_container_object_string(
+                '/' + meta['X-Object-Manifest'])
+            objects = request.backend.list_objects(
+                request.user_uniq, v_account,
+                src_container, prefix=src_name, virtual=False)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ValueError:
             raise BadRequest('Invalid X-Object-Manifest header')
         except ItemNotExists:
             raise ItemNotFound('Container does not exist')
-        
+
         try:
             for x in objects:
                 s, h = request.backend.get_object_hashmap(request.user_uniq,
-                                        v_account, src_container, x[0], x[1])
+                                                          v_account, src_container, x[0], x[1])
                 sizes.append(s)
                 hashmaps.append(h)
         except NotAllowedError:
@@ -737,8 +793,9 @@ def object_read(request, v_account, v_container, v_object):
             raise ItemNotFound('Version does not exist')
     else:
         try:
-            s, h = request.backend.get_object_hashmap(request.user_uniq, v_account,
-                                                v_container, v_object, version)
+            s, h = request.backend.get_object_hashmap(
+                request.user_uniq, v_account,
+                v_container, v_object, version)
             sizes.append(s)
             hashmaps.append(h)
         except NotAllowedError:
@@ -747,7 +804,7 @@ def object_read(request, v_account, v_container, v_object):
             raise ItemNotFound('Object does not exist')
         except VersionNotExists:
             raise ItemNotFound('Version does not exist')
-    
+
     # Reply with the hashmap.
     if hashmap_reply:
         size = sum(sizes)
@@ -760,17 +817,18 @@ def object_read(request, v_account, v_container, v_object):
         if request.serialization == 'xml':
             d['object'] = v_object
             data = render_to_string('hashes.xml', d)
-        elif request.serialization  == 'json':
+        elif request.serialization == 'json':
             data = json.dumps(d)
-        
+
         response = HttpResponse(data, status=200)
         put_object_headers(response, meta)
         response['Content-Length'] = len(data)
         return response
-    
-    request.serialization = 'text' # Unset.
+
+    request.serialization = 'text'  # Unset.
     return object_data_response(request, sizes, hashmaps, meta)
 
+
 @api_method('PUT', format_allowed=True)
 def object_write(request, v_account, v_container, v_object):
     # Normal Response Codes: 201
@@ -781,45 +839,50 @@ def object_write(request, v_account, v_container, v_object):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     # Evaluate conditions.
     if request.META.get('HTTP_IF_MATCH') or request.META.get('HTTP_IF_NONE_MATCH'):
         try:
-            meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                                        v_container, v_object, 'pithos')
+            meta = request.backend.get_object_meta(
+                request.user_uniq, v_account,
+                v_container, v_object, 'pithos')
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except NameError:
             meta = {}
         validate_matching_preconditions(request, meta)
-    
+
     copy_from = request.META.get('HTTP_X_COPY_FROM')
     move_from = request.META.get('HTTP_X_MOVE_FROM')
     if copy_from or move_from:
         delimiter = request.GET.get('delimiter')
-        content_length = get_content_length(request) # Required by the API.
-        
+        content_length = get_content_length(request)  # Required by the API.
+
         src_account = request.META.get('HTTP_X_SOURCE_ACCOUNT')
         if not src_account:
             src_account = request.user_uniq
         if move_from:
             try:
-                src_container, src_name = split_container_object_string(move_from)
+                src_container, src_name = split_container_object_string(
+                    move_from)
             except ValueError:
                 raise BadRequest('Invalid X-Move-From header')
-            version_id = copy_or_move_object(request, src_account, src_container, src_name,
-                                                v_account, v_container, v_object, move=True, delimiter=delimiter)
+            version_id = copy_or_move_object(
+                request, src_account, src_container, src_name,
+                v_account, v_container, v_object, move=True, delimiter=delimiter)
         else:
             try:
-                src_container, src_name = split_container_object_string(copy_from)
+                src_container, src_name = split_container_object_string(
+                    copy_from)
             except ValueError:
                 raise BadRequest('Invalid X-Copy-From header')
-            version_id = copy_or_move_object(request, src_account, src_container, src_name,
-                                                v_account, v_container, v_object, move=False, delimiter=delimiter)
+            version_id = copy_or_move_object(
+                request, src_account, src_container, src_name,
+                v_account, v_container, v_object, move=False, delimiter=delimiter)
         response = HttpResponse(status=201)
         response['X-Object-Version'] = version_id
         return response
-    
+
     content_type, meta, permissions, public = get_object_headers(request)
     content_length = -1
     if request.META.get('HTTP_TRANSFER_ENCODING') != 'chunked':
@@ -827,16 +890,16 @@ def object_write(request, v_account, v_container, v_object):
     # Should be BadRequest, but API says otherwise.
     if content_type is None:
         raise LengthRequired('Missing Content-Type header')
-    
+
     if 'hashmap' in request.GET:
         if request.serialization not in ('json', 'xml'):
             raise BadRequest('Invalid hashmap format')
-        
+
         data = ''
         for block in socket_read_iterator(request, content_length,
-                                            request.backend.block_size):
+                                          request.backend.block_size):
             data = '%s%s' % (data, block)
-        
+
         if request.serialization == 'json':
             d = json.loads(data)
             if not hasattr(d, '__getitem__'):
@@ -851,36 +914,36 @@ def object_write(request, v_account, v_container, v_object):
                 xml = minidom.parseString(data)
                 obj = xml.getElementsByTagName('object')[0]
                 size = int(obj.attributes['bytes'].value)
-                
+
                 hashes = xml.getElementsByTagName('hash')
                 hashmap = []
                 for hash in hashes:
                     hashmap.append(hash.firstChild.data)
             except:
                 raise BadRequest('Invalid data formatting')
-        
-        checksum = '' # Do not set to None (will copy previous value).
+
+        checksum = ''  # Do not set to None (will copy previous value).
     else:
         md5 = hashlib.md5()
         size = 0
         hashmap = []
         for data in socket_read_iterator(request, content_length,
-                                            request.backend.block_size):
+                                         request.backend.block_size):
             # TODO: Raise 408 (Request Timeout) if this takes too long.
             # TODO: Raise 499 (Client Disconnect) if a length is defined and we stop before getting this much data.
             size += len(data)
             hashmap.append(request.backend.put_block(data))
             md5.update(data)
-        
+
         checksum = md5.hexdigest().lower()
         etag = request.META.get('HTTP_ETAG')
         if etag and parse_etags(etag)[0].lower() != checksum:
             raise UnprocessableEntity('Object ETag does not match')
-    
+
     try:
         version_id = request.backend.update_object_hashmap(request.user_uniq,
-                        v_account, v_container, v_object, size, content_type,
-                        hashmap, checksum, 'pithos', meta, True, permissions)
+                                                           v_account, v_container, v_object, size, content_type,
+                                                           hashmap, checksum, 'pithos', meta, True, permissions)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except IndexError, e:
@@ -896,24 +959,25 @@ def object_write(request, v_account, v_container, v_object):
         checksum = hashmap_md5(request.backend, hashmap, size)
         try:
             request.backend.update_object_checksum(request.user_uniq,
-              v_account, v_container, v_object, version_id, checksum)
+                                                   v_account, v_container, v_object, version_id, checksum)
         except NotAllowedError:
             raise Forbidden('Not allowed')
     if public is not None:
         try:
             request.backend.update_object_public(request.user_uniq, v_account,
-                                                v_container, v_object, public)
+                                                 v_container, v_object, public)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
             raise ItemNotFound('Object does not exist')
-    
+
     response = HttpResponse(status=201)
     if checksum:
         response['ETag'] = checksum
     response['X-Object-Version'] = version_id
     return response
 
+
 @api_method('POST')
 def object_write_form(request, v_account, v_container, v_object):
     # Normal Response Codes: 201
@@ -921,30 +985,31 @@ def object_write_form(request, v_account, v_container, v_object):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     request.upload_handlers = [SaveToBackendHandler(request)]
-    if not request.FILES.has_key('X-Object-Data'):
+    if 'X-Object-Data' not in request.FILES:
         raise BadRequest('Missing X-Object-Data field')
     file = request.FILES['X-Object-Data']
-    
+
     checksum = file.etag
     try:
         version_id = request.backend.update_object_hashmap(request.user_uniq,
-                        v_account, v_container, v_object, file.size, file.content_type,
-                        file.hashmap, checksum, 'pithos', {}, True)
+                                                           v_account, v_container, v_object, file.size, file.content_type,
+                                                           file.hashmap, checksum, 'pithos', {}, True)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
         raise ItemNotFound('Container does not exist')
     except QuotaError:
         raise RequestEntityTooLarge('Quota exceeded')
-    
+
     response = HttpResponse(status=201)
     response['ETag'] = checksum
     response['X-Object-Version'] = version_id
     response.content = checksum
     return response
 
+
 @api_method('COPY', format_allowed=True)
 def object_copy(request, v_account, v_container, v_object):
     # Normal Response Codes: 201
@@ -952,7 +1017,7 @@ def object_copy(request, v_account, v_container, v_object):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     dest_account = request.META.get('HTTP_DESTINATION_ACCOUNT')
     if not dest_account:
         dest_account = request.user_uniq
@@ -963,27 +1028,29 @@ def object_copy(request, v_account, v_container, v_object):
         dest_container, dest_name = split_container_object_string(dest_path)
     except ValueError:
         raise BadRequest('Invalid Destination header')
-    
+
     # Evaluate conditions.
     if request.META.get('HTTP_IF_MATCH') or request.META.get('HTTP_IF_NONE_MATCH'):
         src_version = request.META.get('HTTP_X_SOURCE_VERSION')
         try:
-            meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                            v_container, v_object, 'pithos', src_version)
+            meta = request.backend.get_object_meta(
+                request.user_uniq, v_account,
+                v_container, v_object, 'pithos', src_version)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except (ItemNotExists, VersionNotExists):
             raise ItemNotFound('Container or object does not exist')
         validate_matching_preconditions(request, meta)
-    
+
     delimiter = request.GET.get('delimiter')
-    
+
     version_id = copy_or_move_object(request, v_account, v_container, v_object,
-                                        dest_account, dest_container, dest_name, move=False, delimiter=delimiter)
+                                     dest_account, dest_container, dest_name, move=False, delimiter=delimiter)
     response = HttpResponse(status=201)
     response['X-Object-Version'] = version_id
     return response
 
+
 @api_method('MOVE', format_allowed=True)
 def object_move(request, v_account, v_container, v_object):
     # Normal Response Codes: 201
@@ -991,7 +1058,7 @@ def object_move(request, v_account, v_container, v_object):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     dest_account = request.META.get('HTTP_DESTINATION_ACCOUNT')
     if not dest_account:
         dest_account = request.user_uniq
@@ -1002,26 +1069,28 @@ def object_move(request, v_account, v_container, v_object):
         dest_container, dest_name = split_container_object_string(dest_path)
     except ValueError:
         raise BadRequest('Invalid Destination header')
-    
+
     # Evaluate conditions.
     if request.META.get('HTTP_IF_MATCH') or request.META.get('HTTP_IF_NONE_MATCH'):
         try:
-            meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                                    v_container, v_object, 'pithos')
+            meta = request.backend.get_object_meta(
+                request.user_uniq, v_account,
+                v_container, v_object, 'pithos')
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
             raise ItemNotFound('Container or object does not exist')
         validate_matching_preconditions(request, meta)
-    
+
     delimiter = request.GET.get('delimiter')
-    
+
     version_id = copy_or_move_object(request, v_account, v_container, v_object,
-                                        dest_account, dest_container, dest_name, move=True, delimiter=delimiter)
+                                     dest_account, dest_container, dest_name, move=True, delimiter=delimiter)
     response = HttpResponse(status=201)
     response['X-Object-Version'] = version_id
     return response
 
+
 @api_method('POST', format_allowed=True)
 def object_update(request, v_account, v_container, v_object):
     # Normal Response Codes: 202, 204
@@ -1030,35 +1099,36 @@ def object_update(request, v_account, v_container, v_object):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     content_type, meta, permissions, public = get_object_headers(request)
-    
+
     try:
-        prev_meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                                    v_container, v_object, 'pithos')
+        prev_meta = request.backend.get_object_meta(
+            request.user_uniq, v_account,
+            v_container, v_object, 'pithos')
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
         raise ItemNotFound('Object does not exist')
-    
+
     # Evaluate conditions.
     if request.META.get('HTTP_IF_MATCH') or request.META.get('HTTP_IF_NONE_MATCH'):
         validate_matching_preconditions(request, prev_meta)
-    
+
     replace = True
     if 'update' in request.GET:
         replace = False
-    
+
     # A Content-Type or X-Source-Object header indicates data updates.
     src_object = request.META.get('HTTP_X_SOURCE_OBJECT')
     if (not content_type or content_type != 'application/octet-stream') and not src_object:
         response = HttpResponse(status=202)
-        
+
         # Do permissions first, as it may fail easier.
         if permissions is not None:
             try:
                 request.backend.update_object_permissions(request.user_uniq,
-                                v_account, v_container, v_object, permissions)
+                                                          v_account, v_container, v_object, permissions)
             except NotAllowedError:
                 raise Forbidden('Not allowed')
             except ItemNotExists:
@@ -1067,24 +1137,26 @@ def object_update(request, v_account, v_container, v_object):
                 raise BadRequest('Invalid sharing header')
         if public is not None:
             try:
-                request.backend.update_object_public(request.user_uniq, v_account,
-                                                v_container, v_object, public)
+                request.backend.update_object_public(
+                    request.user_uniq, v_account,
+                    v_container, v_object, public)
             except NotAllowedError:
                 raise Forbidden('Not allowed')
             except ItemNotExists:
                 raise ItemNotFound('Object does not exist')
         if meta or replace:
             try:
-                version_id = request.backend.update_object_meta(request.user_uniq,
-                                v_account, v_container, v_object, 'pithos', meta, replace)
+                version_id = request.backend.update_object_meta(
+                    request.user_uniq,
+                    v_account, v_container, v_object, 'pithos', meta, replace)
             except NotAllowedError:
                 raise Forbidden('Not allowed')
             except ItemNotExists:
-                raise ItemNotFound('Object does not exist')        
+                raise ItemNotFound('Object does not exist')
             response['X-Object-Version'] = version_id
-        
+
         return response
-    
+
     # Single range update. Range must be in Content-Range.
     # Based on: http://code.google.com/p/gears/wiki/ContentRangePostProposal
     # (with the addition that '*' is allowed for the range - will append).
@@ -1094,15 +1166,15 @@ def object_update(request, v_account, v_container, v_object):
     ranges = get_content_range(request)
     if not ranges:
         raise RangeNotSatisfiable('Invalid Content-Range header')
-    
+
     try:
         size, hashmap = request.backend.get_object_hashmap(request.user_uniq,
-                                            v_account, v_container, v_object)
+                                                           v_account, v_container, v_object)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
         raise ItemNotFound('Object does not exist')
-    
+
     offset, length, total = ranges
     if offset is None:
         offset = size
@@ -1115,13 +1187,14 @@ def object_update(request, v_account, v_container, v_object):
         src_container, src_name = split_container_object_string(src_object)
         src_version = request.META.get('HTTP_X_SOURCE_VERSION')
         try:
-            src_size, src_hashmap = request.backend.get_object_hashmap(request.user_uniq,
-                                        src_account, src_container, src_name, src_version)
+            src_size, src_hashmap = request.backend.get_object_hashmap(
+                request.user_uniq,
+                src_account, src_container, src_name, src_version)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
             raise ItemNotFound('Source object does not exist')
-        
+
         if length is None:
             length = src_size
         elif length > src_size:
@@ -1131,7 +1204,7 @@ def object_update(request, v_account, v_container, v_object):
         content_length = -1
         if request.META.get('HTTP_TRANSFER_ENCODING') != 'chunked':
             content_length = get_content_length(request)
-        
+
         if length is None:
             length = content_length
         else:
@@ -1141,14 +1214,15 @@ def object_update(request, v_account, v_container, v_object):
             elif length != content_length:
                 raise BadRequest('Content length does not match range length')
     if total is not None and (total != size or offset >= size or (length > 0 and offset + length >= size)):
-        raise RangeNotSatisfiable('Supplied range will change provided object limits')
-    
+        raise RangeNotSatisfiable(
+            'Supplied range will change provided object limits')
+
     dest_bytes = request.META.get('HTTP_X_OBJECT_BYTES')
     if dest_bytes is not None:
         dest_bytes = get_int_parameter(dest_bytes)
         if dest_bytes is None:
             raise BadRequest('Invalid X-Object-Bytes header')
-    
+
     if src_object:
         if offset % request.backend.block_size == 0:
             # Update the hashes only.
@@ -1162,7 +1236,7 @@ def object_update(request, v_account, v_container, v_object):
                     else:
                         data = request.backend.get_block(src_hashmap[sbi])
                         hashmap[bi] = request.backend.update_block(hashmap[bi],
-                                                                data[:bl], 0)
+                                                                   data[:bl], 0)
                 else:
                     hashmap.append(src_hashmap[sbi])
                 offset += bl
@@ -1183,7 +1257,7 @@ def object_update(request, v_account, v_container, v_object):
     else:
         data = ''
         for d in socket_read_iterator(request, length,
-                                        request.backend.block_size):
+                                      request.backend.block_size):
             # TODO: Raise 408 (Request Timeout) if this takes too long.
             # TODO: Raise 499 (Client Disconnect) if a length is defined and we stop before getting this much data.
             data += d
@@ -1192,17 +1266,19 @@ def object_update(request, v_account, v_container, v_object):
             data = data[bytes:]
         if len(data) > 0:
             put_object_block(request, hashmap, data, offset)
-    
+
     if offset > size:
         size = offset
     if dest_bytes is not None and dest_bytes < size:
         size = dest_bytes
         hashmap = hashmap[:(int((size - 1) / request.backend.block_size) + 1)]
-    checksum = hashmap_md5(request.backend, hashmap, size) if UPDATE_MD5 else ''
+    checksum = hashmap_md5(
+        request.backend, hashmap, size) if UPDATE_MD5 else ''
     try:
         version_id = request.backend.update_object_hashmap(request.user_uniq,
-                        v_account, v_container, v_object, size, prev_meta['type'],
-                        hashmap, checksum, 'pithos', meta, replace, permissions)
+                                                           v_account, v_container, v_object, size, prev_meta[
+                                                           'type'],
+                                                           hashmap, checksum, 'pithos', meta, replace, permissions)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
@@ -1214,17 +1290,18 @@ def object_update(request, v_account, v_container, v_object):
     if public is not None:
         try:
             request.backend.update_object_public(request.user_uniq, v_account,
-                                                v_container, v_object, public)
+                                                 v_container, v_object, public)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
             raise ItemNotFound('Object does not exist')
-    
+
     response = HttpResponse(status=204)
     response['ETag'] = checksum
     response['X-Object-Version'] = version_id
     return response
 
+
 @api_method('DELETE')
 def object_delete(request, v_account, v_container, v_object):
     # Normal Response Codes: 204
@@ -1232,19 +1309,21 @@ def object_delete(request, v_account, v_container, v_object):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     until = get_int_parameter(request.GET.get('until'))
     delimiter = request.GET.get('delimiter')
-    
+
     try:
-        request.backend.delete_object(request.user_uniq, v_account, v_container,
-                                        v_object, until, delimiter=delimiter)
+        request.backend.delete_object(
+            request.user_uniq, v_account, v_container,
+            v_object, until, delimiter=delimiter)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
         raise ItemNotFound('Object does not exist')
     return HttpResponse(status=204)
 
+
 @api_method()
 def method_not_allowed(request):
     raise BadRequest('Method not allowed')
